# SNESSetMaxNonlinearStepFailures

Sets the maximum number of unsuccessful steps attempted by the nonlinear solver before it gives up.

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode PETSCSNES_DLLEXPORT SNESSetMaxNonlinearStepFailures(SNES snes, PetscInt maxFails)

Not Collective

### Input Parameters

| snes | - SNES context
| maxFails | - maximum of unsuccessful steps

### Keywords

SNES, nonlinear, set, maximum, unsuccessful, steps

Level:intermediate
Location: src/snes/interface/snes.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages